## dancer-bot 4.16p1-10

=== Makefile ===
###############################################################################
#                    Internetting Cooperating Programmers
# -----------------------------------------------------------------------------
#
#  ____    PROJECT
# |  _ \  __ _ _ __   ___ ___ _ __ 
# | | | |/ _` | '_ \ / __/ _ \ '__|
# | |_| | (_| | | | | (_|  __/ |   
# |____/ \__,_|_| |_|\___\___|_|   the IRC bot
#
# All files in this archive are subject to the GNU General Public License.
#
# $Source: /cvsroot/dancer/dancer/Makefile,v $
# $Revision: 1.1.1.1 $
# $Date: 2000/11/13 02:42:36 $
# $Author: holsta $
# $State: Exp $
# $Locker:  $
#
# -----------------------------------------------------------------------------
###############################################################################

PRG = dancer

all: src/config.h
	(cd src; make debug)

src/config.h:
	(cd src; ./configure; cd ..; /bin/sh fplcheck)

configure:
	(cd src; ./configure; cd ..; /bin/sh fplcheck)

install:
	# /bin/sh installbot
	install -m 755 -D -o root -g root dancer $(DESTDIR)/usr/bin/dancer-bot
	install -m 755 -D -o root -g root installbot $(DESTDIR)/usr/share/dancer-bot/installbot

tgz:
	@(dir=`pwd`;name=`basename $$dir`;echo Creates $$name.tar.gz; cd .. ; \
	tar -cf $$name.tar `cat $$name/FILES | sed "s:^dancer/:$$name/:g"` ; \
	gzip $$name.tar ; chmod a+r $$name.tar.gz ; mv $$name.tar.gz $$name/)

lha:
	@(dir=`pwd`;name=`basename $$dir`;echo Creates $$name.lha; cd .. ; \
	cat $$name/FILES | sed "s:^dancer/:$$name/:g" | lha a $$name.lha ; \
	chmod a+r $$name.lha ; mv $$name.lha $$name/)
clean:
	(cd src && make clean)
	rm -f dancer
	find ./ -name '*.rej'|xargs rm -f
	find ./ -name '*.orig'|xargs rm -f

=== src/Makefile ===
# Generated automatically from Makefile.in by configure.
###############################################################################
#                    Internetting Cooperating Programmers
# -----------------------------------------------------------------------------
#
#  ____    PROJECT
# |  _ \  __ _ _ __   ___ ___ _ __ 
# | | | |/ _` | '_ \ / __/ _ \ '__|
# | |_| | (_| | | | | (_|  __/ |   
# |____/ \__,_|_| |_|\___\___|_|   the IRC bot
#
# All files in this archive are subject to the GNU General Public License.
#
# $Source: /cvsroot/dancer/dancer/src/Makefile.in,v $
# $Revision: 1.1.1.1 $
# $Date: 2000/11/13 02:42:37 $
# $Author: holsta $
# $State: dancer.c $
# $Locker:  $
#
# -----------------------------------------------------------------------------
###############################################################################

CSPECIAL =

CC = gcc
CFLAGS =   -DHAVE_CONFIG_H $(CSPECIAL)
LDFLAGS = 
LIBS = -lcrypt -lnsl -lm 

RM = 'rm'

# --- Nothing below needs to be changed

PRG = ../dancer
DEPEND = .depends

OBJS = dancer.o function.o server.o command.o ctcp.o netstuff.o \
       user.o explain.o seen.o country.o regex.o bans.o transfer.o \
       setup.o tell.o list.o language.o parse.o flood.o ourcrypt.o \
       link.o servfunc.o fplrun.o convert.o news.o strio.o trio.o
SRCS = $(OBJS:%.o=%.c)
HDRS = $(OBJS:%.o=%.h)

all: config.h $(PRG)

config.h:
	(cd ..; $(MAKE) configure)

debug:
	$(MAKE) CSPECIAL="-g -DRCS -DDEBUG" $(PRG)

ddebug:
	$(MAKE) CSPECIAL="-g -DDBUG" $(PRG)

profile:
	$(MAKE) CSPECIAL="-g -p -DPROFILING" LSPECIAL="-p" $(PRG)

$(PRG): $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $(PRG)

$(DEPEND):
	$(CC) -MM $(CFLAGS) $(SRCS) > $(DEPEND)

touch:
	touch $(HDRS)

clean:
	-$(RM) $(OBJS) 2>/dev/null

veryclean: clean
	-$(RM) config.cache config.log config.h config.status $(DEPEND) 2>/dev/null

tgz:
	(cd .. ; tar -cf $(PRG).tar `cat $(PRG)/FILES` ; \
	gzip $(PRG).tar ; chmod a+r $(PRG).tar.gz ; mv $(PRG).tar.gz $(PRG)/)

lha:
	(cd .. ; cat $(PRG)/FILES | lha a $(PRG).lha ; mv $(PRG).lha $(PRG)/)


# Dependencies
include $(DEPEND)

=== debian/changelog ===
dancer-bot (4.16p1-10) unstable; urgency=low

  * Add patch to fix build-failure on alpha. Patch mailed to upstream.

 -- Søren Boll Overgaard <boll@debian.org>  Sun, 14 Sep 2003 18:46:49 +0000

dancer-bot (4.16p1-9) unstable; urgency=low

  * Add patches from the main CVS trunk to handle build failures with 
    newer versions of gcc.
    - Back out perl-based sourcefile preprocessing, as changes are now in 
      upstream CVS.
    This should close: Bug#207294

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Sun, 14 Sep 2003 12:22:14 +0000

dancer-bot (4.16p1-8) unstable; urgency=low

  * Fix macros to compile with gcc-3.3 (Closes: Bug#194890).
    + Add preprocessing of sourcefiles.
  * Link with current version of math libraries.

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Tue, 27 May 2003 18:52:24 +0000

dancer-bot (4.16p1-7) unstable; urgency=low

  * Standards version 3.5.7
  * Don't make /usr/doc link.

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Sun, 20 Oct 2002 13:38:11 +0200

dancer-bot (4.16p1-6) unstable; urgency=low

  * The "actually-make-announced-changes" release.

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Thu,  8 Aug 2002 10:24:59 +0200

dancer-bot (4.16p1-5) unstable; urgency=low

  * Make a few changes to installbot and launch.sh to make it work (Thanks Elmar    Hoffmann).

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Wed,  7 Aug 2002 18:57:39 +0200

dancer-bot (4.16p1-4) unstable; urgency=low

  * Fix wrong paths in debian/postinst and installbot (Thanks 
    v.oostveen@hccnet.nl).

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Wed, 17 Jul 2002 11:11:34 +0200

dancer-bot (4.16p1-3) unstable; urgency=low

  * Don't apply patch at compiletime.
  * Make sure that clean target removes failed patches etc.

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Tue, 16 Jul 2002 13:21:31 +0200

dancer-bot (4.16p1-2) unstable; urgency=low

  * Clean up man page.
  * Clean up description.
  * Make versioning consistent with patch-level.

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Tue, 16 Jul 2002 13:03:17 +0200

dancer-bot (4.16-1) unstable; urgency=low

  * Initial Release (closes: Bug#152053).
  * Added "clean" target to top level Makefile.
  * Changed Makefile so as not to attempt to configure the bot at compile time,
    instead we install the bot configuration script into /usr/share/dancer/.
  * Changed the installbot script to correctly handle Debian paths.
  * Changed the installbot script to install the bot in a more sane directory.

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Fri,  5 Jul 2002 17:53:01 +0200

=== debian/control ===
Source: dancer-bot
Section: net
Priority: optional
Maintainer: SÃ¸ren Boll Overgaard <boll@debian.org>
Build-Depends: debhelper (>> 3.0.0), perl-base
Standards-Version: 3.5.7

Package: dancer-bot
Architecture: any
Depends: ${shlibs:Depends}
Suggests: lynx
Description: A powerful (Ro)bot for Internet Relay Chat networks
 An IRC bot. 
 A bot is an automated client for Internet Relay Chat networks, which stays 
 online after its owner leaves.  
 It was designed to protect and serve. Your faithful, strong (but humble) 
 servant.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	-echo|$(MAKE) configure

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/dancer.sgml > dancer.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp \
		config.log \
		config.cache \
		config.status \
		src/config.log \
		src/config.cache \
		src/config.status

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/dancer.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/dancer-bot

	mkdir -p $(CURDIR)/debian/dancer-bot/usr/share/dancer-bot/script
	install -m 755 -D -o root -g root script/filecount \
		$(CURDIR)/debian/dancer-bot/usr/share/dancer-bot/script/filecount
	install -m 755 -D -o root -g root script/fileget \
		$(CURDIR)/debian/dancer-bot/usr/share/dancer-bot/script/fileget
	install -m 755 -D -o root -g root script/speller.awk \
		$(CURDIR)/debian/dancer/usr/share/dancer-bot/script/speller.awk
	install -m 755 -D -o root -g root script/speller.sh \
		$(CURDIR)/debian/dancer-bot/usr/share/dancer-bot/script/speller.sh
	install -m 644 -D -o root -g root script/filesetup \
		$(CURDIR)/debian/dancer-bot/usr/share/dancer-bot/script/filesetup
			

	install -D -o root -g root launch.sh \
		$(CURDIR)/debian/dancer-bot/usr/share/dancer-bot/launch.sh

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installexamples example/*
	dh_installdocs -XFPL BUGS FAQ README FILES TODO doc/
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman debian/dancer-bot.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
